import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import '@/router/before'
import { createPinia } from 'pinia'
import antd from 'ant-design-vue'
import UsePro from './utils/UsePro'
import { assets } from '@/utils/static'
import cronAnt from '@vue-js-cron/ant'
import '@vue-js-cron/ant/dist/ant.css'
import 'normalize.css'
import { keyboard } from '@/directives/index'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

const pinia = createPinia()

pinia.use(piniaPluginPersistedstate)

createApp(App)
  .use(router)
  .use(pinia)
  .use(antd)
  .use(UsePro)
  .use(cronAnt)
  .directive('keyboard', keyboard)
  .provide('useStaticImg', assets)
  .mount('#app')
